class MarketSidebar extends Shadow {
    render() {
        VStack(() => {
            HStack(() => {
                input()
                    .attr({
                        "type": "checkbox",
                        "id": "hyperia-check"
                    })
                label("Hyperia-Made")
                    .attr({
                        "for": "hyperia-check"
                    })
                    .marginLeft(0.5, em)
            })

            HStack(() => {
                input()
                    .attr({
                        "type": "checkbox",
                        "id": "america-check"
                    })
                label("America-Made")
                    .attr({
                        "for": "america-check"
                    })
                    .marginLeft(0.5, em)
            })

            HStack(() => {
                input()
                    .attr({
                        "type": "checkbox",
                        "id": "new-check"
                    })
                label("New")
                    .attr({
                        "for": "new-check"
                    })
                    .marginLeft(0.5, em)
            })

            HStack(() => {
                input()
                    .attr({
                        "type": "checkbox",
                        "id": "used-check"
                    })
                label("Used")
                    .attr({
                        "for": "used-check"
                    })
                    .marginLeft(0.5, em)
            })
        })
        .paddingTop(12, vh)
        .paddingLeft(3, em)
        .paddingRight(3, em)
        .gap(1, em)
        .minWidth(10, vw)
        .userSelect('none')
    }
}

register(MarketSidebar)